Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.controlpoint
Class ControlPointImpl

    java.lang.Object
      org.teleal.cling.controlpoint.ControlPointImpl

All Implemented Interfaces:
  ControlPoint

    public class ControlPointImpl

extends Object
implements ControlPoint

Field Summary
`protected UpnpServiceConfiguration` | `configuration`
`protected ProtocolFactory` | `protocolFactory`
`protected Registry` | `registry`

Constructor Summary
`ControlPointImpl(UpnpServiceConfiguration configuration, ProtocolFactory protocolFactory, Registry registry)`

Method Summary
`void` | `execute(ActionCallback callback)`
`void` | `execute(SubscriptionCallback callback)`
`UpnpServiceConfiguration` | `getConfiguration()`
`ProtocolFactory` | `getProtocolFactory()`
`Registry` | `getRegistry()`
`void` | `search(UpnpHeader searchType)`
`void` | `search(UpnpHeader searchType, int mxSeconds)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configuration

    protected final UpnpServiceConfiguration configuration

### protocolFactory

    protected final ProtocolFactory protocolFactory

### registry

    protected final Registry registry

Constructor Detail

### ControlPointImpl

    public ControlPointImpl(UpnpServiceConfiguration configuration,
                            ProtocolFactory protocolFactory,
                            Registry registry)

Method Detail

### getConfiguration

    public UpnpServiceConfiguration getConfiguration()

  Specified by:
    `getConfiguration` in interface `ControlPoint`

### getProtocolFactory

    public ProtocolFactory getProtocolFactory()

  Specified by:
    `getProtocolFactory` in interface `ControlPoint`

### getRegistry

    public Registry getRegistry()

  Specified by:
    `getRegistry` in interface `ControlPoint`

### search

    public void search(UpnpHeader searchType)

  Specified by:
    `search` in interface `ControlPoint`

### search

    public void search(UpnpHeader searchType,
                       int mxSeconds)

  Specified by:
    `search` in interface `ControlPoint`

### execute

    public void execute(ActionCallback callback)

  Specified by:
    `execute` in interface `ControlPoint`

### execute

    public void execute(SubscriptionCallback callback)

  Specified by:
    `execute` in interface `ControlPoint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.